# ATIElementArray (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class ATIElementArray

    java.lang.Object
      org.lwjgl.opengl.ATIElementArray

    public final class ATIElementArray

extends java.lang.Object

Field Summary
`static int` `GL_ELEMENT_ARRAY_ATI`
`static int` `GL_ELEMENT_ARRAY_POINTER_ATI`
`static int` `GL_ELEMENT_ARRAY_TYPE_ATI`

Method Summary
`static void` `glDrawElementArrayATI(int mode, int count)`
`static void` `glDrawRangeElementArrayATI(int mode, int start, int end, int count)`
`static void` `glElementPointerATI(java.nio.ByteBuffer pPointer)`
`static void` `glElementPointerATI(java.nio.IntBuffer pPointer)`
`static void` `glElementPointerATI(java.nio.ShortBuffer pPointer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_ELEMENT_ARRAY_ATI

    public static final int GL_ELEMENT_ARRAY_ATI

See Also:
  Constant Field Values

### GL_ELEMENT_ARRAY_TYPE_ATI

    public static final int GL_ELEMENT_ARRAY_TYPE_ATI

See Also:
  Constant Field Values

### GL_ELEMENT_ARRAY_POINTER_ATI

    public static final int GL_ELEMENT_ARRAY_POINTER_ATI

See Also:
  Constant Field Values

Method Detail

### glElementPointerATI

    public static void glElementPointerATI(java.nio.ByteBuffer pPointer)

### glElementPointerATI

    public static void glElementPointerATI(java.nio.IntBuffer pPointer)

### glElementPointerATI

    public static void glElementPointerATI(java.nio.ShortBuffer pPointer)

### glDrawElementArrayATI

    public static void glDrawElementArrayATI(int mode,
                                             int count)

### glDrawRangeElementArrayATI

    public static void glDrawRangeElementArrayATI(int mode,
                                                  int start,
                                                  int end,
                                                  int count)

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.